vnfd:
  description: A VNF consisting of 2 VDUs w/proxy charm
  df:
  - id: default-df
    instantiation-level:
    - id: default-instantiation-level
      vdu-level:
      - number-of-instances: 1
        vdu-id: userVM
    vdu-profile:
    - id: userVM
      min-number-of-instances: 1
    lcm-operations-configuration:
      operate-vnf-op-config:
        day1-2:
        - id: userVM
          execution-environment-list:
          - id: vnf-user-ee
            juju:
              charm: vnf-user
              proxy: true
          initial-config-primitive:
          - name: config
            execution-environment-ref: vnf-user-ee
            parameter:
            - name: ssh-hostname
              value: <rw_mgmt_ip>
            - name: ssh-username
              value: ubuntu
            - name: ssh-password
              value: osm4u
            seq: '1'
  ext-cpd:
  - id: vnf-mgmt-ext
    int-cpd:
      cpd: userVM-eth0-int
      vdu-id: userVM
  id: nscharm-user-vnf
  int-virtual-link-desc:
  - id: internal
  mgmt-cp: vnf-mgmt-ext
  product-name: nscharm-user-vnf
  sw-image-desc:
  - id: ubuntu1804
    image: ubuntu18.04
    name: ubuntu18.04
  - id: ubuntu18.04-aws
    name: ubuntu18.04-aws
    image: ubuntu/images/hvm-ssd/ubuntu-artful-17.10-amd64-server-20180509
    vim-type: aws
  - id: ubuntu18.04-azure
    name: ubuntu18.04-azure
    image: Canonical:UbuntuServer:18.04-LTS:latest
    vim-type: azure
  vdu:
  - cloud-init-file: cloud-config.txt
    id: userVM
    int-cpd:
    - id: userVM-eth0-int
      virtual-network-interface-requirement:
      - name: userVM-eth0
        position: 1
        virtual-interface:
          type: VIRTIO
    - id: userVM-eth1-int
      int-virtual-link-desc: internal
      virtual-network-interface-requirement:
      - name: userVM-eth1
        position: 2
        virtual-interface:
          type: VIRTIO
    name: userVM
    sw-image-desc: ubuntu1804
    alternative-sw-image-desc:
    - ubuntu18.04-aws
    - ubuntu18.04-azure
    virtual-compute-desc: userVM-compute
    virtual-storage-desc:
    - userVM-storage
  version: '1.0'
  virtual-compute-desc:
  - id: userVM-compute
    virtual-cpu:
      num-virtual-cpu: 1
    virtual-memory:
      size: 1.0
  virtual-storage-desc:
  - id: userVM-storage
    size-of-storage: 10
